import { Props, PoserState, PoseMap, GetTransitionProps, GetInstantTransition, StartAction, StopAction, ResolveTarget, TransformPose, AddTransitionDelay, ConvertTransitionDefinition, SetValue, SetValueNative } from '../types';
declare type SetterFactoryProps<V, A, C, P, TD> = {
    state: PoserState<V, A, C, P>;
    poses: PoseMap<A, TD>;
    getInstantTransition: GetInstantTransition<V, A>;
    startAction: StartAction<V, A, C>;
    stopAction: StopAction<C>;
    setValue: SetValue<V>;
    setValueNative: SetValueNative;
    addActionDelay: AddTransitionDelay<A>;
    getTransitionProps: GetTransitionProps<V>;
    resolveTarget: ResolveTarget<V>;
    convertTransitionDefinition: ConvertTransitionDefinition<V, A, TD>;
    transformPose?: TransformPose<V, A, C, P, TD>;
    posePriority?: string[];
    forceRender?: (props: Props) => any;
};
export declare const resolveProp: (target: any, props: Props) => any;
declare const createPoseSetter: <V, A, C, P, TD>(setterProps: SetterFactoryProps<V, A, C, P, TD>) => (next: string, nextProps?: Props, propagate?: boolean) => Promise<any[]>;
export default createPoseSetter;
